Page MenuHomePhabricator

Allow to mark as read items and groups in the Notification Page
Closed, ResolvedPublic

Description

Currently, the notifications page does not provide support for controlling the read status of notifications. They get marked automatically as users visit the page and there is no visual representation of their status.

In order to provide more control to organising notifications, we can present notifications in a similar way as the are in the notification panel (distinguishing their status as well as providing an action to mark each as read). In addition, we can provide actions to mark several notifications in one go (those in a given group or the whole list)

Based on T115316, the following changes are proposed:

  • Visually distinguish read and unread notifications at the notification page. This is needed to communicate there are unread items and surface the effects of marking them as read. This can be done by displaying them in the same way they are in the panel with one or more of the following: using background color contrast and providing controls to mark them as read.
  • Provide a control to mark a given group as read (notifications are grouped by day in the page). If all notifications are read, the button will be disabled.
  • Turn the cog icon into a menu to provide access to the more advanced options: mark all as read, notification settings and the learn more link (mockup below).

Design details
The icon for marking as read is a variant of the "check" icon, to be included in the icon repo:

The proposed actions under the cog menu replace the current ones and will link to the same destinations: learn more and settings.

Event Timeline

Pginer-WMF renamed this task from Allow to mark as read items int he Notification Page to Allow to mark as read items and groups in the Notification Page.Mar 10 2016, 11:25 AM

Change 276376 had a related patch set uploaded (by Mooeypoo):
Add 'mark section as read' to Special:Notifications

https://gerrit.wikimedia.org/r/276376

Mooeypoo added a subscriber: Mooeypoo.

The submitted patch adds the option to mark read by date/section only to the no-js version. A Javascript-specific version will be implemented later.

Pginer-WMF updated the task description. (Show Details)Mar 28 2016, 9:28 AM
Pginer-WMF updated the task description. (Show Details)Mar 28 2016, 9:39 AM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptApr 15 2016, 8:32 AM
SBisson removed a project: Patch-For-Review.
SBisson added a subscriber: SBisson.

Putting this back in RFP (and removed the patch tag) since the patch that was submitted is for the no-js version.

Mooeypoo claimed this task.

This is resolved with the new JS special page.

Visually distinguish read and unread notifications at the notification page. This is needed to communicate there are unread items and surface the effects of marking them as read. This can be done by displaying them in the same way they are in the panel with one or more of the following: using background color contrast and providing controls to mark them as read.


Provide a control to mark a given group as read (notifications are grouped by day in the page). If all notifications are read, the button will be disabled.

Turn the cog icon into a menu to provide access to the more advanced options: mark all as read, notification settings and the learn more link.
Not done - may be addressed in separate ticket.

jmatazzoni closed this task as Resolved.Jun 3 2016, 6:35 PM

Elena writes:

Turn the cog icon into a menu to provide access to the more advanced options: mark all as read, notification settings and the learn more link. Not done - may be addressed in separate ticket.

This ticket already exists: T115528 Turn the cog icon into a menu. So, Resolving this